Name:           python-glue
Version:        0.11.1
Release:        3%{?dist}
Summary:        A simple command line tool to generate CSS sprites

License:        BSD
URL:            http://github.com/jorgebastida/glue
Source0:        http://pypi.python.org/packages/source/g/glue/glue-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-cssutils
BuildRequires:  python-mock
BuildRequires:  python-sphinx
Requires:       python-jinja2
Requires:       python-pillow

%description
Glue is a simple command line tool to generate CSS sprites using any kind
of source images like PNG, JPEG or GIF. Glue will generate a unique PNG file
containing every source image and a CSS file including the necessary CSS
classes to use the sprite.

%prep
%setup -q -n glue-%{version}
rm -rf glue.egg-info
# Remove the shebang that set the python executable since that's
# generated later
sed -i -e "1d" glue/bin.py

%build
%{__python} setup.py build egg_info build_sphinx # build_sphinx needs egg_info
rm build/sphinx/html/.buildinfo

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%license COPYING
%doc AUTHORS build/sphinx/html
%{_bindir}/glue
%{python_sitelib}/glue
%{python_sitelib}/glue-%{version}-py?.?.egg-info

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun May 17 2015 Ville Skyttä <ville.skytta@iki.fi> - 0.11.1-2
- Build and install HTML docs instead of doc sources, mark COPYING as %%license
* Sat Apr 25 2015 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.11.1-1
- Update upstream version to 0.11.1
* Sun Mar 15 2015 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.9.4-1
- Update upstream version to 0.9.4
- Removed the patch since my changes were accepted upstream so the patch
  is not needed anymore.
* Wed Mar 04 2015 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.9.2-1
- Update upstream version to 0.9.2
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 06 2014 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.9.1-1
- Update upstream version to 0.9.1
- Added %check step for running the package tests
* Tue Feb 11 2014 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.4.1-1
- Update upstream version to 0.4.1
* Wed Dec 4 2013 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.4-1
- Update upstream version to 0.4
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
* Wed Feb 6 2013 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.3-1
- Update upstream version to 0.3
* Sat Dec 15 2012 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.2.9-1
- Update upstream version to 0.2.9
- Update the patch to remove the Pillow dependency
- Use %{version} in the Source0 to avoid repetition
* Wed Oct 31 2012 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.2.8.1-1
- Update upstream version to 0.2.8.1
* Tue Oct 23 2012 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.2.7-2
- Remove the shebang part of the glue.py script
- Remove the glue.egg-info directory in the prep section
- Remove the 'rm -rf $RPM_BUILD_ROOT' in the install section
* Mon Oct 22 2012 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.2.7-1
- New package.
